curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/response-automation-v2/{workflow_id}/restart' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source_workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Restart rav2
New workflow started from the source run.
POST
/
v1
/
workflows
/
response-automation-v2
/
{workflow_id}
/
restart
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/response-automation-v2/{workflow_id}/restart' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source_workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string (string)
required
Request body
JSON body of typeGenericObject.
Response
object
string
required
string
string
required
Status codes
| Code | Meaning |
|---|---|
200 | New workflow started from the source run. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/workflows/response-automation-v2/{workflow_id}/restart' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{}'
{
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source_workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026